librevenge::RVNGPropertyListVectorIterImpl Class Reference documentation

librevenge::RVNGPropertyListVectorIterImpl Class Reference

## Public Member Functions
| RVNGPropertyListVectorIterImpl (std::vector< RVNGPropertyList > *vect)
| ~RVNGPropertyListVectorIterImpl ()
void | rewind ()
bool | next ()
bool | last ()
const RVNGPropertyList & | operator() () const

## Private Member Functions
| RVNGPropertyListVectorIterImpl (const RVNGPropertyListVectorIterImpl &)
RVNGPropertyListVectorIterImpl & | operator= (const RVNGPropertyListVectorIterImpl &)

## Private Attributes
std::vector< RVNGPropertyList > * | m_vector
std::vector< RVNGPropertyList >::iterator | m_iter
bool | m_imaginaryFirst

## Constructor & Destructor Documentation

## ◆ RVNGPropertyListVectorIterImpl() [1/2]

librevenge::RVNGPropertyListVectorIterImpl::RVNGPropertyListVectorIterImpl | ( | std::vector< RVNGPropertyList > * | vect | ) |
| inline

Referenced by operator=(), and RVNGPropertyListVectorIterImpl().

## ◆ ~RVNGPropertyListVectorIterImpl()

librevenge::RVNGPropertyListVectorIterImpl::~RVNGPropertyListVectorIterImpl | ( |  | ) |
| inline

## ◆ RVNGPropertyListVectorIterImpl() [2/2]

librevenge::RVNGPropertyListVectorIterImpl::RVNGPropertyListVectorIterImpl | ( | const RVNGPropertyListVectorIterImpl & |  | ) |
| private

## Member Function Documentation

## ◆ last()

bool librevenge::RVNGPropertyListVectorIterImpl::last | ( |  | ) |
| inline

## ◆ next()

bool librevenge::RVNGPropertyListVectorIterImpl::next | ( |  | ) |
| inline

## ◆ operator()()

const RVNGPropertyList & librevenge::RVNGPropertyListVectorIterImpl::operator() | ( |  | ) | const
| inline

## ◆ operator=()

RVNGPropertyListVectorIterImpl & librevenge::RVNGPropertyListVectorIterImpl::operator= | ( | const RVNGPropertyListVectorIterImpl & |  | ) |
| private

## ◆ rewind()

void librevenge::RVNGPropertyListVectorIterImpl::rewind | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_imaginaryFirst

bool librevenge::RVNGPropertyListVectorIterImpl::m_imaginaryFirst
| private

Referenced by next(), rewind(), and RVNGPropertyListVectorIterImpl().

## ◆ m_iter

std::vector<RVNGPropertyList>::iterator librevenge::RVNGPropertyListVectorIterImpl::m_iter
| private

Referenced by last(), next(), operator()(), rewind(), and RVNGPropertyListVectorIterImpl().

## ◆ m_vector

std::vector<RVNGPropertyList>* librevenge::RVNGPropertyListVectorIterImpl::m_vector
| private

Referenced by last(), next(), rewind(), and RVNGPropertyListVectorIterImpl().

The documentation for this class was generated from the following file:

- RVNGPropertyListVector.cpp